
/**********************/
/*        VIEWS       */
/**********************/

.btn-outline-secondary {
    --bs-btn-color: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-border-color: #6c757d;
    --bs-btn-focus-shadow-rgb: 108, 117, 125;
    --bs-btn-active-color: #fff;
    --bs-btn-active-border-color: #6c757d;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #6c757d;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #6c757d;
    --bs-gradient: none;
}
/* liste travs avec statuts innactifs */
.view-v1-entr-travs .N {
    background-color: rgba(250, 128, 114, 0.5) !important;
}

.view-v1-entr-travs .w3-bar {
    display: none;
}

.view-v1-travs-longue-maladie {
    background-color: #bfb !important;
}

/* Add link on trav page to go to rapports (ASMT65) */
/* views-view-table.html.twig */
.printerImage {
    background: transparent url(/sites/default/files/images/inkjet.png) no-repeat scroll right 0;
    display: block;
    text-indent: -9999px; /*Hides the anchor text*/
    height: 30px; /*Set height and width to the exact size of your image*/
    width: 27px;
}


/*  VIEWS HEAD TABLE LINK SORT
.view-content thead tr th {
    color: #262626;
}

.view-content thead tr th a {
    color: #262626;
    text-decoration: underline;
}

.view-content thead tr th a:hover {
    color: #d2dbe0;
}
*/

/* Fixed columns in users table
.view-user-admin-people {
    table-layout: fixed !important;
}

.view-user-admin-people .views-field-name {
    width: 200px !important;
    word-break: break-all;
}

.view-user-admin-people .views-field-mail {
    width: 400px !important;
    word-break: break-all;
}

*/
/**********************/
/*    VIEWS boutons   */
/**********************/

.views-button-semitransparent {
    display: block;
    box-sizing: border-box;
    margin: 0 auto;
    padding: 8px;
    width: 80%;
    /* max-width: 200px; */
    background: #607d8b; /* fallback color for old browsers */
    background: rgba(96, 125, 139, 0.5);
    border-radius: 8px;
    color: #fff;
    text-align: center;
    text-decoration: none;
    letter-spacing: 1px;
    transition: all 0.3s ease-out;
}

.views-button-semitransparent:hover, .views-button-semitransparent:focus,
.semi-transparent-button:active {
    background: rgba(84, 107, 118, 0.5);
    color: #000;
    transition: all 0.1s ease-in;
    border-radius: 8px;
}

.views-button {
    background-color: #1c87c9 !important;
    color: white !important;
    display: inline-block;
    cursor: pointer;
    border: 1px solid #ccc;
}

.views-button-green {
    background-color: #86cb81 !important;
    border: none;
    color: white !important;
    display: inline-block;
    margin: 16px 2px;
    cursor: pointer;
}

.views-button-blue {
    background-color: #027eff !important;
    border: none;
    color: white !important;
    display: inline-block;
    margin: 16px 2px;
    cursor: pointer;
}

.views-button-red {
    background-color: #e11f22 !important;
    border: none;
    color: white !important;
    display: inline-block;
    font-size: 20px;
    margin: 4px 2px;
    cursor: pointer;
}